package net.wanji.utc;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @date 2022/11/15 8:31
 */
@SpringBootApplication(scanBasePackages = {"net.wanji.utc", "net.wanji.common"})
@EnableTransactionManagement
@MapperScan(basePackages = {"net.wanji.databus.dao.mapper"})
@EnableScheduling
@EnableAsync
public class UtcApplication {
    public static void main(String[] args) {
        SpringApplication.run(UtcApplication.class, args);
    }
}
