package net.wanji.utc.dto.systemadmin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/25 8:55
 */
@Data
@ApiModel(value = "CrossInfoListDTO", description = "信号机列表输入参数")
public class CrossInfoListDTO {
    @ApiModelProperty(required = true, value = "页号")
    Integer pageNum;
    @ApiModelProperty(required = true, value = "每页记录数")
    Integer pageSize;
    @ApiModelProperty( value = "路口名称")
    String crossName;
    @ApiModelProperty( value = "信号机厂商")
    String manufacturerNick;
}
