package net.wanji.utc.po.hk.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/04/11 9:48
 */
@Data
public class DelBaseConfigPO {
    @ApiModelProperty(value = "信号机编号")
    private String crossCode;
    @ApiModelProperty(value = "参数类型：4-相位、5-方案、6-计划、7-日期")
    private Integer type;
    @ApiModelProperty(value = "需要删除对应配置的id列表")
    private List<Integer> ids;
}
