package net.wanji.utc.service.runninginfo;

import net.wanji.databus.po.SignalStatusLogPO;
import net.wanji.databus.vo.LightsStatusVO;
import net.wanji.databus.vo.LightsStatusVO2;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/21 9:09
 */
public interface SignalStatusService {
    List<SignalStatusLogPO> runningStatusAlarm() throws Exception;

    /**
     * todo 提供给其他平台，需要确认以厂商还是以路口形式推送数据
     *
     * @param crossId
     * @return
     */
    List<SignalStatusLogPO> runningStatusAlarm(String crossId);

    List<LightsStatusVO> lightStatus() throws Exception;
    List<LightsStatusVO> lightStatus4StaticScheme() throws Exception;
    List<LightsStatusVO> lightStatus(String crossId) throws Exception;
    List<LightsStatusVO2> lightStatusHist(String crossId, Integer batchTime, Integer endBatchTime) throws Exception;

}
