package net.wanji.utc.service.systemadmin;

import com.github.pagehelper.PageInfo;
import net.wanji.utc.dto.systemadmin.DeleteByIntegerIdListDTO;
import net.wanji.utc.dto.systemadmin.ManufacturerApiInfoInsertOrUpdateDTO;
import net.wanji.utc.dto.systemadmin.ManufacturerApiInfoListDTO;
import net.wanji.utc.vo.systemadmin.ManufacturerApiInfoVO;

/**
 * @author Kent HAN
 * @date 2022/11/24 13:59
 */
public interface ManufacturerApiInfoService {
    PageInfo<ManufacturerApiInfoVO> list(ManufacturerApiInfoListDTO manufacturerApiInfoListDTO);

    void insertOrUpdate(ManufacturerApiInfoInsertOrUpdateDTO inVO);

    void delete(DeleteByIntegerIdListDTO inVO);
}
