package net.wanji.utc.vo.systemadmin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/28 17:56
 */
@Data
public class ManufacturerApiInfoVO {
    /** 接口ID */
    @ApiModelProperty(value = "接口ID",notes = "")
    private Integer id ;
    /** 接口代码 */
    @ApiModelProperty(value = "接口代码",notes = "")
    private String code ;
    /** 接口名称 */
    @ApiModelProperty(value = "接口名称",notes = "")
    private String name ;
    /** 接口类型 */
    @ApiModelProperty(value = "接口类型",notes = "")
    private String apiType ;
    /** 请求方式：GET、POST */
    @ApiModelProperty(value = "请求方式：GET、POST",notes = "")
    private String method ;
    /** 接口地址 */
    @ApiModelProperty(value = "接口地址",notes = "")
    private String address ;
    /** 厂商ID */
    @ApiModelProperty(value = "接口厂商",notes = "")
    private String manufacturerNick ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
