package net.wanji.utc.common.genericentity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/15 10:09
 */
@Data
@ApiModel(value = "OutVO", description = "基本输出参数")
public class OutVO<T> {

    /**
     * 系统缩写
     */
    private String systemAbbr;

    /**
     * 厂商代码
     */
    private String manufacturerCode;

    /**
     * 更新时间
     */
    private Date updatetime;

    /**
     * 请求体数据
     */
    private T outVOContent;
}
