package net.wanji.utc.po.hk.response;

import lombok.Data;

/**
 * @author duanruiming
 * @date 2023/02/14 15:35
 */
@Data
public class PhaseInfoPO {
    /**
     * 当前相位运行时长 单位s
     */
    private Integer runTime;
    /**
     * 绿闪时间
     */
    private Integer greenLight;
    /**
     * 黄灯时长
     */
    private Integer yellow;
    /**
     * 红灯时长
     */
    private Integer red;
    /**
     * 当前相位倒计时数据 单位s
     */
    private Integer countdown;
    /**
     * 相位号
     */
    private Integer phaseNo;
    private String phaseName;
    /**
     * 相位序号
     */
    private Integer phaseSequence;
    /**
     * 相位时长
     */
    private Integer phaseLength;
    /**
     * 机动车状态：0无效；1绿灯；2红灯；3黄灯；4绿闪；5黄闪；6全红；7灭灯；8红闪；9红黄
     */
    private Integer vehicleStatus;
    /**
     * 行人状态：无效；1绿灯；2红灯；3黄灯；4绿闪；5黄闪；6全红；7灭灯；8红闪；9红黄
     */
    private Integer pedestrianStatus;


}
