package net.wanji.utc.service.systemadmin;

import com.github.pagehelper.PageInfo;
import net.wanji.databus.po.ManufacturerInfoPO;
import net.wanji.utc.dto.systemadmin.DeleteByIntegerIdListDTO;
import net.wanji.utc.dto.systemadmin.ManufacturerInsertOrUpdateDTO;
import net.wanji.utc.dto.systemadmin.ManufacturerListDTO;

/**
 * @author Kent HAN
 * @date 2022/11/24 8:49
 */
public interface ManufacturerService {
    PageInfo<ManufacturerInfoPO> list(ManufacturerListDTO manufacturerListDTO);

    void insertOrUpdate(ManufacturerInsertOrUpdateDTO inVO);

    void delete(DeleteByIntegerIdListDTO inVO);
}
